package hu.bme.mit.books.swt;

import hu.bme.mit.books.manager.BookManager;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class SwtApplication {

	public static void main(String[] args){
		Display display = new Display();
		Shell shell = new Shell(display);
		shell.setText("Test Window");
		shell.setSize(400, 400);
		shell.setLayout(new RowLayout(SWT.VERTICAL));
		
		
		BookManager manager = new BookManager();
		BookComposite composite = new BookComposite(shell, SWT.NONE);
		composite.setBookManager(manager);
		
		shell.open();
		while(!shell.isDisposed()) {
			if (!display.readAndDispatch()){
				display.sleep();
			}
		}
	}
}
